doctype html
- var base_url = env.HOST_NODE
html(lang='en')
  head
    meta(charset='utf-8')
    meta(http-equiv='X-UA-Compatible' content='IE=edge')
    meta(name='keywords' content='')
    meta(name='author' content='')
    meta(name='robots' content='')
    meta(name='viewport' content='width=device-width, initial-scale=1')
    meta(name='description' content='Jobick : Job Admin Bootstrap 5 Template')
    meta(property='og:title' content='Jobick : Job Admin Bootstrap 5 Template')
    meta(property='og:description' content='Jobick : Job Admin Bootstrap 5 Template')
    meta(property='og:image' content='https://jobick.dexignlab.com/xhtml/social-image.png')
    meta(name='format-detection' content='telephone=no')

    title My App #{title}

    link(rel='shortcut icon' type='image/png' href='/images/favicon.png')
    link(href='/vendor/jquery-nice-select/css/nice-select.css' rel='stylesheet')
    link(href='/css/style.css' rel='stylesheet')
    link(href='/vendor/sweetalert2/dist/sweetalert2.min.css' rel='stylesheet')

    style.
      .container-fluid{
        padding-top:0px !important;
      }

      .l-5{
        margin-left:5px;
        margin-bottom:5px;
      }

      .hide{
        display:none;
      }


      .form-control{
        background-color:#ebebeb;
      }

      button {
        text-transform: capitalize;
      }
  body
    #preloader
      .lds-ripple
        div
        div
    #main-wrapper
      .nav-header#template-nav-header
        a.brand-logo
          img(src=base_url+'images/logo-auction.png' alt='' width="80px;")
        .nav-control
          .hamburger
            span.line
            span.line
            span.line

      .header#template-header
        .header-content
          nav.navbar.navbar-expand
            .collapse.navbar-collapse.justify-content-between
              .header-left
                .dashboard_bar
                  div Auct Auction

              ul.navbar-nav.header-right
                li.nav-item.header-date.text-primary
                  div.btn.btn-primary.light.btn-rounded.btn-xs
                    i.fas.fa-lock.me-2
                    span.text-black.me-2 
                      | Authorized Indiviadul  
                      span#layout_username
                      | 
                      | is logged in.  
                li.nav-item.dropdown.header-profile
                  a.nav-link(href='javascript:void(0);' role='button' data-bs-toggle='dropdown')
                    img(src='/images/profile/pic1.jpg' width='10' alt='')
                  .dropdown-menu.dropdown-menu-end
                    a.dropdown-item.ai-icon(href='./app-profile.html')
                      svg.text-primary(xmlns='http://www.w3.org/2000/svg' width='18' height='18' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round')
                        path(d='M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2')
                        circle(cx='12' cy='7' r='4')
                      span.ms-2 Profile 
                    a.dropdown-item.ai-icon(href='./email-inbox.html')
                      svg.text-success(xmlns='http://www.w3.org/2000/svg' width='18' height='18' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round')
                        path(d='M4 4h16c1.1 0 2 .9 2 2v12c0 1.1-.9 2-2 2H4c-1.1 0-2-.9-2-2V6c0-1.1.9-2 2-2z')
                        polyline(points='22,6 12,13 2,6')
                      span.ms-2 Inbox 
                    a.dropdown-item.ai-icon(href=base_url)
                      svg.text-danger(xmlns='http://www.w3.org/2000/svg' width='18' height='18' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round')
                        path(d='M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4')
                        polyline(points='16 17 21 12 16 7')
                        line(x1='21' y1='12' x2='9' y2='12')
                      span.ms-2 Logout 

      .dlabnav#template-dlabnav
        .dlabnav-scroll
          .dropdown.header-profile2
            a.nav-link(href='javascript:void(0);' role='button' data-bs-toggle='dropdown')
              .header-info2.d-flex.align-items-center
                img(src='/images/profile/pic1.jpg' alt='')
                .d-flex.align-items-center.sidebar-info
                  div
                    span.font-w400.d-block ADMIN NAME
                    small.text-end.font-w400 ROLE
                  i.fas.fa-chevron-down
            .dropdown-menu.dropdown-menu-end
              a.dropdown-item.ai-icon(href='./app-profile.html')
                svg.text-primary(xmlns='http://www.w3.org/2000/svg' width='18' height='18' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round')
                  path(d='M20 21v-2a4 4 0 0 0-4-4H8a4 4 0 0 0-4 4v2')
                  circle(cx='12' cy='7' r='4')
                span.ms-2 Profile 
              a.dropdown-item.ai-icon(href='./email-inbox.html')
                svg.text-success(xmlns='http://www.w3.org/2000/svg' width='18' height='18' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round')
                  path(d='M4 4h16c1.1 0 2 .9 2 2v12c0 1.1-.9 2-2 2H4c-1.1 0-2-.9-2-2V6c0-1.1.9-2 2-2z')
                  polyline(points='22,6 12,13 2,6')
                span.ms-2 Inbox 
              a.dropdown-item.ai-icon(href=base_url)
                svg.text-danger(xmlns='http://www.w3.org/2000/svg' width='18' height='18' viewBox='0 0 24 24' fill='none' stroke='currentColor' stroke-width='2' stroke-linecap='round' stroke-linejoin='round')
                  path(d='M9 21H5a2 2 0 0 1-2-2V5a2 2 0 0 1 2-2h4')
                  polyline(points='16 17 21 12 16 7')
                  line(x1='21' y1='12' x2='9' y2='12')
                span.ms-2 Logout 
          ul#menu.metismenu
            li.menu_user
              a(href=base_url+'home' aria-expanded='false')
                i.flaticon-381-home-2
                span.nav-text Home
            li.menu_user
              a(href=base_url+'home' aria-expanded='false')
                i.flaticon-381-list
                span.nav-text Purchase
            li.menu_admin
              a(href=base_url+'dashboard' aria-expanded='false')
                i.flaticon-024-dashboard
                span.nav-text Dashboard
            li.menu_admin
              a.has-arrow(href='javascript:void()' aria-expanded='false')
                i.flaticon-381-list
                span.nav-text Products
              ul(aria-expanded='false')
                li
                  a(href=base_url+'admin/product') List Products
                li
                  a(href=base_url+'admin/product/create') Add Products
            li.menu_admin
              a.has-arrow(href='javascript:void()' aria-expanded='false')
                i.flaticon-381-folder-18
                span.nav-text Lots
              ul(aria-expanded='false')
                li
                  a(href=base_url+'admin/product/lot/list') List Lots
                li
                  a(href=base_url+'admin/product/lot/create') Create Lots
            li.menu_admin
              a.has-arrow(href='javascript:void()' aria-expanded='false')
                i.flaticon-381-user-8
                span.nav-text Users
              ul(aria-expanded='false')
                li
                  a(href=base_url+'admin/member') List Users
                li
                  a(href=base_url+'admin/member/create') Create Users
          .copyright
            p
              strong Jobick Job Admin
              |  © 2021 All Rights Reserved
            p.fs-12
              | Made with 
              span.heart
              |  by DexignLabs
      .content-body

        .container-fluid#main-content
          block content 
      .footer#template-footer
        .copyright
          p
            | Copyright © Designed & Developed by 
            a(href='https://www.auct.co.th/' target='_blank') Union Auction Public Company Limited.
            |  2021  #{HOST_NODE}


          input(type="hidden" name="base_url" id="base_url", value=base_url)
      Scripts
      script(src='/vendor/global/global.min.js')
      script(src='/vendor/bootstrap-select/dist/js/bootstrap-select.min.js')
      script(src='/vendor/jquery-nice-select/js/jquery.nice-select.min.js')
      script(src='/vendor/chart.js/Chart.bundle.min.js')
      script(src='/vendor/lightgallery/js/lightgallery-all.min.js')
      script(src='/js/custom.min.js')
      script(src='/js/dlabnav-init.js')
      script(src='/vendor/sweetalert2/dist/sweetalert2.min.js')
      script(src='/vendor/moment/moment.min.js')
    script.  
      const access_token = localStorage.getItem('access_token');
      const user_id = localStorage.getItem('user_id');
      const name = localStorage.getItem('name');
      const email = localStorage.getItem('email');
      const auction_board = localStorage.getItem('auction_board');
      const credit_limit = localStorage.getItem('credit_limit');
      const base_url = $('#base_url').val()

      console.log('auction_board : ',auction_board)
      console.log('credit_limit : ',credit_limit)

      console.log('layout!! ',base_url)
      check_authen();



      $('#layout_username').text(auction_board)

      function check_authen(){
        console.log(access_token)
        $.ajax({
          url: "/users/check_login",
          headers: {
            'Authorization': 'Bearer '+access_token,
          },
          method: "POST",
          dataType: "json",
          data:{
            user_id:user_id
          },
          success: function (data, status, xhr) {
            console.log(data)
            if(data.result && status=='success' && xhr.status==200){

              $('#main-content').show();

              if(data.permission=='member'){
                $('.menu_admin').remove()
                $('.menu_report').remove()
              }else if(data.permission=='admin'){
                $('.menu_user').remove()
              }else{
                $('#menu').hide()
              }

            }else{
              redirect_login();
            }
          },
          error: function (xhr, ajaxOptions, thrownError) {
            redirect_login();
          },
        });
      }


      function getMenu(){

      }

      function redirect_login(){

        swal({
          title: "Fail!",
          text: "Plase login again!",
          type: "warning",
          confirmButtonColor: "#DD6B55",
            }).then(function() {
              window.location = "#{base_url}";
            });
      }

      function alert_message(text){
        var arr = JSON.parse(text)

        swal({
          title: "Oops...",
          text: arr.error.message,
          type: "error",
        });
      }

      function alert_error(xhr,error){
        console.log(error)
        if(xhr.status==401){
          redirect_login();
        }else if(xhr.status==403){  
          swal({
            title: "Fail!",
            text: 'Access denied',
            type: "warning",
            confirmButtonColor: "#DD6B55",
            }).then(function() {
              window.location = "#{base_url}home";
            });
        }else{
          alert_message(xhr.responseText);
        }
      }

      function fuper(string) {
        return string.charAt(0).toUpperCase() + string.slice(1);
      }

      function status_active(val){
        if(val==0){
          return 'False'
        }else if(val==1){
          return 'True'
        }else{
          return '-'
        }
      }

    block script